function init_word_chooser() {
// this function is executed on Page Show in Lectora

//grab the contents of the task textbox
$('.task span').html(function(index, oldHtml) {

    //find each separate word and wrap it in a separate span
    return oldHtml.replace(/\b(\w+?)\b/g, '<span class="word" data-text="$1">$1</span>')
});

//set counter to the number of words that begin with "S" or "s"
var wordCounter = $('[data-text^="S"],[data-text^="s"]').length;

//store the original count of the words in case we need to reset
var wordCounter_original = wordCounter;

//update the visible counter text
$('.counter span').text(wordCounter);

//grab each word and add make it clickable
$('.word').click(function(event) {

    //when a word element is clicked, first get it as a variable
    var $clickTarget = $(event.target);

    //then get the element's text (i.e. the actual word)
    var wordText = $clickTarget.text();

    //grab the first letter of the word
    //also make it lower case, it'll make comparisons easier
    var firstLetter = wordText.substr(0, 1).toLowerCase();

    //now let's see, is the first letter "s"?
    if (firstLetter == 's') {
        //if yes, paint it red
        $clickTarget.css('color','red');

        //and decrease the counter
        wordCounter--;
    } else {
	//else set all words back to white
        $('.word').css('color','white');

        //and reset the counter
        wordCounter = wordCounter_original;
    }
    //update the visible counter text
    $('.counter span').text(wordCounter);
});

}


// this function is executed on Page Show in Lectora
function init_drag_slider() {

//the minimum X coordinate of our dragger is equal to the left edge of the base line
minimumPosition = $('.base').position().left;

//the maximum X coordinate of our dragger is equal to the right edge of the base line less the dragger width
maximumPosition = $('.base').width() - $('.dragger').width();

//make our "dragger" image draggable
    $('.dragger').draggable({
        axis: "x",                      //only horizontal movement
        containment: ".base",           //contained with the region of the "base" image
        drag: function( event, dragger ) {   //this function is fired every time dragger moves

            //calculate the dragger position between 0 and 1
            position = (dragger.position.left - minimumPosition) / maximumPosition;

            //convert it into days
            result = Math.round(position*50);

            //update the counter
            $('.counter span').text(result);
        }
    });
}

function check_answer() {
    result = $('.counter span').text();
    if (result == "221") {
        alert('Exactly!')
    } else {
        alert('Hint: There are 94 entirely sunny days and 127 partly sunny days.')
    }
}
